QGIS Application - Feature request #9287
Live linked layer styles
2014-01-03 11:10 PM - Nathan Woodrow

Status: Open

Priority: Normal

Assignee: Nathan Woodrow

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17898
Description

A nice feature to have would be to be able to load a .gml file but have it re-read from the file when it is changed.

This would allow styles to be stored in a single place and if you needed to change the colour over many maps you just update the .gml file

and every layer is fixed automagicly.

History

#1 - 2014-01-09 11:57 PM - Lauri Kajan

This would be a great feature!

| would add a possibility to link feature styles to styles in style manager.

Styles could be stored in a global style library or to a project file. This would work mostly in the same way than styles in many word processing software.

Also same kind of principle for just colors would be great. Imagine situation where you have multiple styles for roads with different widths but with the same

fill and casing colors. If you just want to change the color of casing or fill for all road styles you could do that just once.

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-09-22 10:07 AM - Jiirgen Fischer

- Category set to Unknown
